Devise approach for when patching should occur when changes occur via the module-manager.
08/20/2010 11:28 AM - David Welker

Status: Resolved Start date: 08/20/2010
Priority: Normal Due date:

Assignee: David Welker % Done: 0%
Category: general Estimated time: 0.00 hour
Target version: 2.2.0 Spent time: 0.00 hour
Bugzilla-ld: 5157

Description

Right now, if you change to a suite through the module manager, it is listed as not being patchable. This might be desirable behavior.
Need to devise changes so that patching is possible after changes with the module manager.

Related issues:
Blocked by Kepler - Bug #5099: Import Dependent Modules for KAR doesn't work Resolved 07/21/2010

History

#1 - 08/20/2010 04:24 PM - David Welker

| have a solution that is good enough for 2.1. The default is that suites are patched. This default can be changed with some work.
Re-targeting any further work on this to 2.2 or later.

#2 - 09/08/2010 03:25 PM - David Welker

I think our current approach is adequate. The assumption is that when a user selects a patch, they are interested in be prompted for upgrades. If this
is not the case, they can uncheck "Automatically check for patches." Given ultimate control in the user over whether patches are checked for or not,
having a consistent meaning where suites are checked as long as this check box is checked would be simplest for users to understand.

Closing this bug.

#3 - 03/27/2013 02:29 PM - Redmine Admin

Original Bugzilla ID was 5157
